require_dependency "wbase/application_controller"

module Wbase
  class PasswordResetsController < ApplicationController
    layout 'wbase/auth'

    def new
    end

    def create
      # If the user is found, generate password reset
      user = User.find_by(email: params[:email].try(:downcase))
      if user
        user.reset_reset_token!
        PasswordResetMailer.reset(user).deliver_later
      end
      flash.now[:alert] = "Thanks! If we find a user with that email, we'll be in touch"
      render :new
    end

    def edit
      @user = User.find_by(reset_token: params[:token])
    end

    def update
      @user = User.find_by(reset_token: params[:token])
      if @user
        @user.password = params[:password]
        if @user.save
          login(@user)
          redirect_to '/'
        else
          flash.now[:errors] = @user.errors.full_messages
          render :edit
        end
      else
        flash.now[:errors] = [
          "Hmmm. We didn't find a user with that password reset token :/. try again?"]
        render :edit
      end
    end
  end
end
