module Wbase
  module Dripable
    def update_subscriber!
      drip.create_or_update_subscriber(
        user.email,
        status: user.status,
        user_id: user.id,
        custom_fields: {
          name: user.name,
          api_key: user.api_key,
        }
      )
    end

    def drip
      @client ||= Drip::Client.new do |c|
        c.api_key = ENV['DRIP_API_TOKEN']
        c.account_id = ENV['DRIP_ACCOUNT_ID']
      end
    end
  end
end
