module Wbase
  class PasswordResetMailer < ApplicationMailer
    def reset(user)
      headers "X-SMTPAPI" => {
        unique_args: {
          user_id: user.id,
          mail_eventable_id: user.id,
          mail_eventable_type: 'User'
        }
      }.to_json

      @user = user
      mail(
        to: user.email,
        bcc: [Wbase.firehose_email],
        subject: "[#{ Wbase.site_name }] Password Reset"
      )
    end
  end
end
