Wbase::Engine.routes.draw do
  [
    # 'affiliate',
    # 'contact',
    # 'faq',
    # 'privacy',
    # 'shop',
    # 'start',
    # 'subscribed',
    # 'terms',
    # 'thanks',
    'welcome',
  ].each do |action|
    get "/#{ action }", to: "static_pages##{ action }"
    get "/#{ action.gsub('_', '-') }", to: "static_pages##{ action }"
  end

  get '/logout', to: 'sessions#destroy'
  resource :user, exclude: [:destroy]
  resource :session, only: [:new, :create, :destroy]
  get '/session', to: 'sessions#new'
  resource :password_reset, only: [:new, :create, :edit, :update]
  resource :subscription, only: [:new, :create, :update, :edit]
  resources :mail_events
  resources :stripe_webhooks
  get '/.well-known/acme-challenge/:id' => 'static_pages#letsencrypt'
end
