module Wbase
  class << self
    mattr_accessor(
      # Common
      :title,
      :description,
      :url,
      :image,
      :keywords,
      :site_name,
      :admin_email,
      :firehose_email,

      # Landing
      :sub_title,
      :call_to_action,
      :call_to_action_path,
      :getting_started_video,

      # Styles
      :primary_color,
      :success_color,
      :info_color,
      :warning_color,
      :danger_color,

      # Integrations
      :olark_id,
      :ga_id,
      :google_site_verification,

      # Standard
      :footer_text,

      # Admin
      :master_pass

    )
    [:team,
     :nav_items,
     :features,
     :case_studies,
     :testimonials,
     :socials,
     :admin_menu,
     :plans].each do |setting|
       mattr_accessor setting do
         []
       end
     end

     landing_sections = [
       :nav_view,
       :header_view,
       :features_view,
       :description_view,
       :video_view,
       :customers_view,
       :pricing_view,
       :trial_view,
       :about_view,
       :newsletter_view,
       :team_view,
       :social_view,
       :contact_view,
       :footer_view,
     ]
     landing_sections.each do |setting|
       mattr_accessor setting do
         true
       end
     end
     mattr_accessor :landing_sections do
       landing_sections
     end
  end

  def self.setup(&block)
    yield self
  end

  class Engine < ::Rails::Engine
    isolate_namespace Wbase
    config.generators do |g|
      g.orm             :active_record
      g.template_engine :erb
    end
    config.to_prepare do
      Wbase::ApplicationController.helper Rails.application.helpers
    end
  end
end
